org.jboss.jca.embedded.dsl.ironjacamar12.api

## Interface CapacityType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface CapacityType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `capacityType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExtensionType<CapacityType<T>>` | `getOrCreateDecrementer()` If not already created, a new `decrementer` element with the given value will be created.
    `ExtensionType<CapacityType<T>>` | `getOrCreateIncrementer()` If not already created, a new `incrementer` element with the given value will be created.
    `CapacityType<T>` | `removeDecrementer()` Removes the `decrementer` element
    `CapacityType<T>` | `removeIncrementer()` Removes the `incrementer` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### getOrCreateIncrementer

          ExtensionType<CapacityType<T>> getOrCreateIncrementer()

      If not already created, a new `incrementer` element with the given value will be created. Otherwise, the existing `incrementer` element will be returned.
      Returns:
        a new or existing instance of `ExtensionType>`

    - #### removeIncrementer

          CapacityType<T> removeIncrementer()

      Removes the `incrementer` element
      Returns:
        the current instance of `CapacityType`

    - #### getOrCreateDecrementer

          ExtensionType<CapacityType<T>> getOrCreateDecrementer()

      If not already created, a new `decrementer` element with the given value will be created. Otherwise, the existing `decrementer` element will be returned.
      Returns:
        a new or existing instance of `ExtensionType>`

    - #### removeDecrementer

          CapacityType<T> removeDecrementer()

      Removes the `decrementer` element
      Returns:
        the current instance of `CapacityType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)